# Variables set by configure.
# This file is globally included via Makefile

# General package variables
PACKAGE = checktestdata
VERSION = 5.0
DISTNAME = $(PACKAGE)-$(VERSION)

# The following line is automatically modified by snapshot/release
# scripts, do not change manually!
PUBLISHED =

PACKAGE_NAME      = checktestdata
PACKAGE_VERSION   = 5.0
PACKAGE_STRING    = checktestdata 5.0
PACKAGE_TARNAME   = checktestdata
PACKAGE_BUGREPORT = domjudge-devel@lists.A-Eskwadraat.nl

# Compilers and FLAGS
CC  = gcc
CXX = g++
CPP = gcc -E

CFLAGS   = -g -O2 -fstack-protector-strong -Wformat -Werror=format-security
CXXFLAGS = -g -O2 -fstack-protector-strong -Wformat -Werror=format-security
CPPFLAGS = -D_FORTIFY_SOURCE=2
LDFLAGS  = -Wl,-z,relro 

STATIC_LINK_START = 
STATIC_LINK_END   = 

EXEEXT = 
OBJEXT = .o

# libboost
BOOST_CPPFLAGS  = -I/usr/include
BOOST_LDFLAGS   = -L/usr/lib/x86_64-linux-gnu
BOOST_REGEX_LIB = -lboost_regex

# libgmpxx
LIBGMPXX = -lgmpxx -lgmp

PARSERGEN_ENABLED = yes
